如何在PHP7上启用MySQLi扩展(LAMP / CPANEL)?

我的服务器升级到PHP7,现在我收到一条错误,上面写着“您的PHP安装似乎缺少MySQL WordPress所需的扩展名。“</ p>

我已经尝试将 extension = php_mysqli.so </ code>添加到我的PHP INI中,但这似乎没有帮助。 我正在使用CentOS和Apache 2.4与MariaDB 10.0进行LAMP ...所有在更新之前都正常工作。 \ </ p>

php -m显示:</ p>

  [PHP Modules] 
bcmath
bz2
calendar
Core
ctype
curl
date \ ndba
dom
enchant
ereg
exif
fileinfo
filter
ftp
gd
gettext
gmp
hash
iconv
imap
intl
ionCube Loader
json
ldap
libxml
mbstring
mcrypt
mhash
mysql
mysqli
mysqlnd

odbc
openssl
pcntl
pcre
PDO
pdo_mysql
PDO_ODBC
pdo_pgsql
pdo_sqlite \ Npgsql的
Phar
posix
pspell
readline
Reflection
session
shmop
SimpleXML
snmp
soap
sockets
SourceGuardian \ NSPL
sqlite3
标准
sysvmsg
sysvsem
sysvshm
tidy
tokenizer
wddx
xml
xmlreader
xmlrpc
xmlwriter
xsl
Zend Guard Loader
Zend OPcache
zip
zlib

[Zend Modules]
Zend Guard Loader
Zend OPcache
the ionCube PHP Loader
</ code> </ pre>
</ div>

展开原文

原文

My server upgraded to PHP7 and now I am getting an error which reads "Your PHP installation appears to be missing the MySQL extension which is required by WordPress."

I have tried adding extension=php_mysqli.so to my PHP INI but that doesn't seem to help. I am on a LAMP with CentOS and Apache 2.4 with MariaDB 10.0... All was working before the update. \

php -m shows:

[PHP Modules]
bcmath
bz2
calendar
Core
ctype
curl
date
dba
dom
enchant
ereg
exif
fileinfo
filter
ftp
gd
gettext
gmp
hash
iconv
imap
intl
ionCube Loader
json
ldap
libxml
mbstring
mcrypt
mhash
mysql
mysqli
mysqlnd
odbc
openssl
pcntl
pcre
PDO
pdo_mysql
PDO_ODBC
pdo_pgsql
pdo_sqlite
pgsql
Phar
posix
pspell
readline
Reflection
session
shmop
SimpleXML
snmp
soap
sockets
SourceGuardian
SPL
sqlite3
standard
sysvmsg
sysvsem
sysvshm
tidy
tokenizer
wddx
xml
xmlreader
xmlrpc
xmlwriter
xsl
Zend Guard Loader
Zend OPcache
zip
zlib

[Zend Modules]
Zend Guard Loader
Zend OPcache
the ionCube PHP Loader

dougaoshang0237
dougaoshang0237 你确实重启了Apache?
大约 4 年之前 回复
dtu36380
dtu36380 我可以告诉你,我不认为你编辑问题的php-m输出来自php7安装。
大约 4 年之前 回复
dongza6247
dongza6247 我确实使用过EasyApache......
大约 4 年之前 回复
dongwen3410
dongwen3410 如果你正在使用CPanel,那么使用EasyApache来选择PHP模块,但这并不是真正的编程相关,所以关闭stackoverflow主题。PHP7不再具有mysql扩展,因此请确保您的Wordpress版本兼容。
大约 4 年之前 回复
dre75230
dre75230 在启用扩展并检入phpinfo后重启服务器了吗?
大约 4 年之前 回复

1个回答



你无法通过将MySQLi添加到php.ini来解决你的问题,这里你已经在服务器上安装了真正的mysqli扩展,可以完成Easyapache 通过启用 MySQL改进扩展</ strong>,它只能由root用户完成。 如果你有以下链接。</ p>

请点击此处查看: http://www.mochasupport.com/kayako/index.php?_m=knowledgebase&amp;_a=viewarticle&amp;kbarticleid=650 </ p>
< / DIV>

展开原文

原文

You can not solve your issue by adding MySQLi to php.ini, here you have install real mysqli extension on server that can be done Easyapache by enabling MySQL Improved extension , and it can be done by root user only. if you have than check below link.

Check full here: http://www.mochasupport.com/kayako/index.php?_m=knowledgebase&_a=viewarticle&kbarticleid=650

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问